Previous | Contents | Index | Next

# C.2.114 Track segment N not on Path for Turnout

A Path (a sequence of track segments) defines a route through a Turnout from one End Point to another. Each segment should be be present in a least one Path.

This can happen when Grouping complex track objects, or when there is more than one path between End Points, for example a siding.

Try simplifying the segments or removing any loops in the connected segments.

This message can be suppressed by passing the command line option

- /d suppresscheckpaths (Windows) or
- -d suppresscheckpaths (Linux/MAC)